-- phpMyAdmin SQL Dump
-- version 5.1.1
-- https://www.phpmyadmin.net/
--
-- Host: localhost:8889
-- Generation Time: Apr 09, 2022 at 06:05 PM
-- Server version: 5.7.34
-- PHP Version: 7.4.21

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `guidedtours`
--

-- --------------------------------------------------------

--
-- Table structure for table `booking`
--

CREATE TABLE `booking` (
  `bkg_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `bkg_nb_visitors` int(11) NOT NULL,
  `bkg_id` int(11) NOT NULL,
  `usr_customer` varchar(20) NOT NULL,
  `tour_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `booking`
--

INSERT INTO `booking` (`bkg_date`, `bkg_nb_visitors`, `bkg_id`, `usr_customer`, `tour_id`) VALUES
('2022-04-09 17:20:49', 2, 1, 'a.mokadem@gmail.com', 1),
('2022-04-09 17:20:49', 3, 2, 'g.lachard@gmail.com', 1),
('2022-04-09 17:22:08', 4, 3, 'm.juglair@gmail.com', 3),
('2022-04-09 17:22:08', 4, 4, 'g.lachard@gmail.com', 2);

-- --------------------------------------------------------

--
-- Table structure for table `commentaire`
--

CREATE TABLE `commentaire` (
  `cmt_id` int(11) NOT NULL,
  `cmt_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `cmt_body` varchar(50) DEFAULT NULL,
  `usr_email` varchar(30) NOT NULL,
  `tour_id` int(11) NOT NULL,
  `cmt_note` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `commentaire`
--

INSERT INTO `commentaire` (`cmt_id`, `cmt_date`, `cmt_body`, `usr_email`, `tour_id`, `cmt_note`) VALUES
(1, '2022-04-09 17:23:19', 'J\'ai adoré le tour !', 'a.mokadem@gmail.com', 1, 5),
(2, '2022-04-09 17:24:17', 'Trop long, mais intéressant.', 'm.hssini@gmail.com', 4, 3),
(3, '2022-04-09 17:45:17', 'Le guide est vraiment adorable ! visite sympa', 'nes.omrani@hotmail.fr', 2, 5),
(6, '2022-04-04 17:45:53', NULL, 'c.perez@hotmail.com', 1, 1),
(7, '2022-04-17 17:46:34', NULL, 'c.headley@gmail.com', 4, 4),
(8, '2022-04-11 17:46:58', NULL, 'e.lantz@gmail.com', 2, 4);

-- --------------------------------------------------------

--
-- Table structure for table `tour`
--

CREATE TABLE `tour` (
  `tour_id` int(11) NOT NULL,
  `tour_name` varchar(30) NOT NULL,
  `tour_duration` float NOT NULL,
  `tour_price` int(11) NOT NULL,
  `tour_description` varchar(500) NOT NULL,
  `tour_city` varchar(20) NOT NULL,
  `tour_max_visitors` int(11) NOT NULL,
  `tour_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `tour_guide` varchar(30) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tour`
--

INSERT INTO `tour` (`tour_id`, `tour_name`, `tour_duration`, `tour_price`, `tour_description`, `tour_city`, `tour_max_visitors`, `tour_date`, `tour_guide`) VALUES
(1, 'Balade photographique', 1.5, 30, 'Partez à la découverte de la capitale lors d\'un cours de photographie en extérieur à Paris. Un atelier créatif et ludique qui vous permettra de découvrir la ville sous un angle différent.', 'PARIS', 16, '2022-04-09 18:01:39', 'e.lantz@gmail.com'),
(2, 'Passages couverts de Paris', 2, 20, 'Nous vous proposons une promenade guidée dans Paris pour découvrir les secrets des passages couverts.', 'PARIS', 14, '2022-04-09 18:03:32', 'a.serandour@gmail.com'),
(3, 'Balade olfactive', 2, 25, 'Pour cette balade olfactive dans le marais aussi insolite que fascinante, votre experte en parfum, vous présente et vous raconte ces matières odorantes incontournables. ', 'PARIS', 10, '2022-04-09 18:02:44', 'e.lantz@gmail.com'),
(4, 'Paris Historique', 2.5, 19, 'Laissez vous guider dans le coeur historique de Paris ! Découvrez les lieux cultes et les principaux édifices du centre de la capitale. ', 'PARIS', 20, '2022-04-09 18:04:26', 'g.lachard@gmail.com'),
(5, 'Vieux-Lille', 2, 19, 'Visitez le plus charmant quartier de Lille et admirez son architecture, ses petits magasins et ses musées durant une visite guidée à pied de deux heures.', 'LILLE', 15, '2022-04-09 17:57:23', 'm.juglair@gmail.com'),
(10, 'Hôtel de ville de Lille', 1, 25, 'Dirigez-vous vers le beffroi de l’hôtel de ville situé au cœur du centre historique de Lille et grimpez au sommet de ce site classé patrimoine mondial de l’UNESCO pour admirer la vue spectaculaire sur la ville et ses alentours.', 'LILLE', 10, '2022-04-09 17:56:53', 'a.derhy@psbedu.paris');

-- --------------------------------------------------------

--
-- Table structure for table `utilisateur`
--

CREATE TABLE `utilisateur` (
  `usr_email` varchar(30) NOT NULL,
  `usr_name` varchar(10) NOT NULL,
  `usr_surname` varchar(20) NOT NULL,
  `usr_age` int(11) DEFAULT NULL,
  `usr_is_premium` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `utilisateur`
--

INSERT INTO `utilisateur` (`usr_email`, `usr_name`, `usr_surname`, `usr_age`, `usr_is_premium`) VALUES
('a.derhy@psbedu.paris', 'Armand', 'Derhy', NULL, 1),
('a.mokadem@gmail.com', 'Afaf', 'MOKADEM', 20, 0),
('a.serandour@gmail.com', 'Ambre', 'SERANDOUR', 21, 1),
('c.headley@gmail.com', 'Catherine', 'Headley', NULL, 0),
('c.perez@hotmail.com', 'Charles', 'Perez', 34, 1),
('e.giampiccolo@gmail.com', 'Eva', 'GIAMPICCOLO', 23, 0),
('e.lantz@gmail.com', 'Elodie', 'LANTZ', 19, 1),
('g.lachard@gmail.com', 'Gwendal', 'LACHARD', 21, 0),
('m.hssini@gmail.com', 'Myriam', 'HSSINI', 20, 1),
('m.juglair@gmail.com', 'Martin', 'JUGLAIR', 19, 1),
('nes.omrani@hotmail.fr', 'Nessrine', 'Omrani', 35, 1);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `booking`
--
ALTER TABLE `booking`
  ADD PRIMARY KEY (`bkg_id`),
  ADD KEY `usr_customer` (`usr_customer`),
  ADD KEY `tour_id` (`tour_id`);

--
-- Indexes for table `commentaire`
--
ALTER TABLE `commentaire`
  ADD PRIMARY KEY (`cmt_id`),
  ADD KEY `usr_email` (`usr_email`),
  ADD KEY `tour_id` (`tour_id`);

--
-- Indexes for table `tour`
--
ALTER TABLE `tour`
  ADD PRIMARY KEY (`tour_id`),
  ADD KEY `tour_guide` (`tour_guide`);

--
-- Indexes for table `utilisateur`
--
ALTER TABLE `utilisateur`
  ADD PRIMARY KEY (`usr_email`);

--
-- Constraints for dumped tables
--

--
-- Constraints for table `booking`
--
ALTER TABLE `booking`
  ADD CONSTRAINT `booking_ibfk_1` FOREIGN KEY (`usr_customer`) REFERENCES `utilisateur` (`usr_email`),
  ADD CONSTRAINT `booking_ibfk_2` FOREIGN KEY (`tour_id`) REFERENCES `tour` (`tour_id`);

--
-- Constraints for table `commentaire`
--
ALTER TABLE `commentaire`
  ADD CONSTRAINT `commentaire_ibfk_1` FOREIGN KEY (`usr_email`) REFERENCES `utilisateur` (`usr_email`),
  ADD CONSTRAINT `commentaire_ibfk_2` FOREIGN KEY (`tour_id`) REFERENCES `tour` (`tour_id`);

--
-- Constraints for table `tour`
--
ALTER TABLE `tour`
  ADD CONSTRAINT `tour_ibfk_1` FOREIGN KEY (`tour_guide`) REFERENCES `utilisateur` (`usr_email`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
